You are not logged in.

#1 2015-01-06 09:52:42

DarkSpiritAK47
Member
From: Grand Rapids, MI, USA
Registered: 2014-08-17
Posts: 39

building gsd fails

when building yaourt -S gsd

i also changed gt to gt4 as a dependency in the pkbuild like i was told to do in the comments.

it does infact find gt4 like people said it would in the comments. yet it still fails...

specifically i get:

==> gsd dependencies:
 - glibc (already installed)
 - glib2 (already installed)
 - gnutls (already installed)
 - openvas-libraries (already installed)
 - qt4 (already installed)
 - qtwebkit (already installed)
 - gcc (already installed)
 - automake (already installed)
 - cmake (already installed)
 - doxygen (already installed)


==> Continue building gsd ? [Y/n]
==> -----------------------------
==> 
==> Building and installing package
==> ERROR: Missing package() function in /tmp/yaourt-tmp-john/aur-gsd/./PKGBUILD
==> ERROR: Makepkg was unable to build gsd.
==> Restart building gsd ? [y/N]
==> ----------------------------
==> 

Last edited by DarkSpiritAK47 (2015-01-06 09:57:56)

Offline

#2 2015-01-06 10:14:00

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,135
Website

Re: building gsd fails

The error message says it all. The PKGBUILD doesn't have a package function. Support for PKGBUILD without one has been depreciated for ages, and with pacman 4.2, has been dropped entirely (except in the case of meta packages).


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2015-01-06 12:05:24

DarkSpiritAK47
Member
From: Grand Rapids, MI, USA
Registered: 2014-08-17
Posts: 39

Re: building gsd fails

hmmm i am really sleepy and will reread your post. what i gather form it, is you are saying is i cannot get it at all that way. no matter what i do. i guess my only question is now is it possible to get gsd in any other fashion but i am pretty sure the arch moderator would want me to post a whole new question regarding that (which i will do). as i have been told to do so in the past when asking a new question.

THANK YOU for your help! i sincerely appreciate your responding to my inquiry! at least now i know it is not possible to get it that way...

Last edited by DarkSpiritAK47 (2015-01-06 12:06:14)

Offline

#4 2015-01-06 13:12:14

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 22,268
Website

Re: building gsd fails

DarkSpiritAK47 wrote:

but i am pretty sure the arch moderator would want me to post a whole new question

No, please don't.  The problem, as indicated above, is that the PKGBUILD is faulty.  Just fix the PKGBUILD.  If you want help fixing the PKGBUILD, post it here.

EDIT: note that gsd has been flagged out of date for almost a year and has been orphaned.  If you want to adopt it in the AUR we can help you get it up and running.  But otherwise you'd be best not to use it at all.

Last edited by Trilby (2015-01-06 13:13:52)


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

#5 2015-01-06 13:21:49

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,135
Website

Re: building gsd fails

I took a look at the package, and it doesn't even build if the PKGBUILD is modernised. You could probably get it to build if you hacked around the problems in the code, but it should be noted that this software is not supported upstream, and doesn't even support all the features of the OpenVAS version it is built for.

The package has been orphaned on the AUR, so if you want to take a stab at getting it to work, feel free. Here is a modern PKGBUILD to get you started:

# Contributor: WorMzy Tykashi <wormzy.tykashi@gmail.com>
# Contributor: Vlatko Kosturjak <kost@linux.hr>

pkgname=gsd
pkgver=1.2.2
pkgrel=1
pkgdesc="Greenbone Security Desktop (gsd) - OpenVAS GUI frontend"
url="http://www.openvas.org/"
license=GPL
depends=('glibc' 'glib2' 'gnutls' 'openvas-libraries' 'qt4' 'qtwebkit')
makedepends=('cmake' 'doxygen')
backup=(etc/openvas/gsd_log.conf)
source=(http://wald.intevation.org/frs/download.php/1084/gsd-$pkgver.tar.gz
        gsd-enum-fix.patch)
md5sums=('12fcf80fc377e2d13c715d8162489e79'
         'b5069fbede143de008c1b5a10e33e29c')
arch=('i686' 'x86_64')


prepare() {
  cd "$srcdir/$pkgname-$pkgver"
  patch -p1 -i "$srcdir/gsd-enum-fix.patch"
}

build() {
  cd "$srcdir/$pkgname-$pkgver"
  cmake -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var .
  make
}

package() {
  cd "$srcdir/$pkgname-$pkgver"
  make DESTDIR="$pkgdir/" install
}

Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

Board footer

Powered by FluxBB